<% if (section === 'css') { %>
<style>
  .btn-group {
    position: relative;
    display: -ms-inline-flexbox;
    display: inline-flex;
    vertical-align: middle;
  }

  .btn-group>.btn:first-child:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }

  .btn-group>.btn:not(:first-child):not(:last-child) {
    border-radius: 0;
  }

  .btn-group>.btn:last-child:not(:first-child),
  .btn-group>.dropdown-toggle:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }

  .btn-group>.btn-inactive {
    background-color: #607d8b;
  }

  .btn-group>.btn {
    -webkit-box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0), 0 0px 0px 0px rgba(0, 0, 0, 0), 0 0px 0px 0 rgba(0, 0, 0, 0);
    box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0), 0 0px 0px 0px rgba(0, 0, 0, 0), 0 0px 0px 0 rgba(0, 0, 0, 0);
  }

  .btn-group>.btn-inactive:hover {
    background-color: #728F9D;
  }

  .btn-group>.btn:hover {
    -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="start">
  <center>
    <div class="container">
      <div class="row">
        <form class="col s12 m6 offset-m3">
          <div class="switch" align="center" onchange="updateSponsorsEnabled()">
            <label>
              <h6 style="display: inline;">Persoonlijke tekst</h6>
              <input id="start-sponsors-enabled" type="checkbox">
              <span class="lever"></span>
              <h6 style="display: inline;">Sponsoren</h6>
            </label>
          </div>
          <div class="row">
            <div class="input-field col s12">
              <textarea id="custom-text" class="materialize-textarea center-align"></textarea>
              <label for="custom-text">Tekst op start scherm:</label>
            </div>
          </div>
          <div class="row">
            <div class="btn waves-effect col s12 watervlo-blue" onclick="updateCustomText()">
              <span>Update</span>
            </div>
          </div>
          <div class="row">
            <div>Uitlijning</div>
            <div id="custom-text-alignment" class="btn-group" role="group">
              <a class="btn watervlo-blue waves-effect" onclick="updateCustomTextAlignment('left')">Links</a>
              <a class="btn watervlo-blue waves-effect" onclick="updateCustomTextAlignment('center')">Midden</a>
              <a class="btn watervlo-blue waves-effect" onclick="updateCustomTextAlignment('right')">Rechts</a>
            </div>
          </div>
          <div class="row">
            <div id="mic-button" class="btn waves-effect col s12 watervlo-blue" onmousedown="connectMic()">
              <span id="mic-button-text">Start microfoon</span>
            </div>
          </div>
        </form>
      </div>
    </div>
  </center>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  function updateSponsorsEnabled() {
    connection.sendCommand('start', 'setSponsorsEnabled', { sponsorsEnabled: document.getElementById('start-sponsors-enabled').checked })
  }
  function updateCustomText() {
    connection.sendCommand('start', 'setCustomText', { text: document.getElementById('custom-text').value })
  }
  function updateCustomTextAlignment(alignment) {
    connection.sendCommand('start', 'setCustomTextAlignment', { alignment })
  }

  let peer

  registerCommand('global',  'webrtc', (data) => {
    peer.signal(data.data)
  })

  async function connectMic() {
    try {
      const stream = await navigator.mediaDevices.getUserMedia({
        video: false,
        audio: true
      })

      peer = new SimplePeer({
          initiator: true,
          trickle: true,
          stream: stream
        })

      peer.on('error', err => console.log('Peer error:', err))

      peer.on('signal', data => {
          connection.sendCommand('global', 'webrtc', { data: data, target: 'scoreboard'})
      })

      peer.on('connect', () => {
        console.log('Connected to peer')
        document.getElementById('mic-button-text').textContent = 'Stop microfoon'
        document.getElementById('mic-button').onmousedown = stopMic
        document.getElementById('mic-button').classList.add('red')
      })
      peer.on('close', () => {
        console.log('Lost connection to peer')
        stopMic()
      })
    } catch(e)
    {
    }
  }

  function stopMic() {
    peer.destroy()
    document.getElementById('mic-button-text').textContent = 'Start microfoon'
    document.getElementById('mic-button').onmousedown = connectMic
    document.getElementById('mic-button').classList.remove('red')
  }

  registerCommand('start', 'data', (data) => {
    const sponsorsEnabled = document.getElementById('start-sponsors-enabled')
    sponsorsEnabled.checked = data.sponsorsEnabled

    const customText = document.getElementById('custom-text')
    customText.value = data.customText
    customText.classList.remove('left-align')
    customText.classList.remove('center-align')
    customText.classList.remove('right-align')
    customText.classList.add(`${data.customTextAlignment}-align`)
    M.updateTextFields(customText)
    M.textareaAutoResize(customText)

    const buttons = document.getElementById('custom-text-alignment').children
    for (const button of buttons) {
      button.classList.add('btn-inactive')
    }
    if (data.customTextAlignment === 'left') {
      buttons[0].classList.remove('btn-inactive')
    } else if (data.customTextAlignment === 'center') {
      buttons[1].classList.remove('btn-inactive')
    } else if (data.customTextAlignment === 'right') {
      buttons[2].classList.remove('btn-inactive')
    }
  })
</script>
<% } %>
